﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ClassLibrary2
{
	public interface ICache
	{
		object Get(string key);
		T GetT<T>(string key) where T : class;
        object GetWithDelete(string key);
        T GetWithDelete<T>(string key) where T : class;
        bool Set(string key, object value);
        bool Set(string key, object value, DateTime expireDate);
        bool SetT<T>(string key, T value) where T : class;
	    bool SetT<T>(string key, T value, DateTime expire) where T : class;
        bool Remove(string key);
	}
}
